Herald
OpenapiOauth

Handle OAuth callback from provider for a realm

GET
/api/oauth/{realmId}/{provider}/callback

Path Parameters

realmId*string

Realm ID

provider*string

OAuth provider type

Query Parameters

code*string

Authorization code from provider

state*string

State token for CSRF protection

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/oauth/string/string/callback?code=string&state=string"
{  "accessToken": "string",  "message": "string",  "userId": "string"}
Empty
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}